## k3d

https://k3d.io/ -> Run k3s in Docker!

### Synopsis

https://k3d.io/
k3d is a wrapper CLI that helps you to easily create k3s clusters inside docker.
Nodes of a k3d cluster are docker containers running a k3s image.
All Nodes of a k3d cluster are part of the same docker network.

```
k3d [flags]
```

### Options

```
  -h, --help         help for k3d
      --timestamps   Enable Log timestamps
      --trace        Enable super verbose output (trace logging)
      --verbose      Enable verbose output (debug logging)
      --version      Show k3d and default k3s version
```

### SEE ALSO

* [k3d cluster](k3d_cluster.md)	 - Manage cluster(s)
* [k3d completion](k3d_completion.md)	 - Generate completion scripts for [bash, zsh, fish, powershell | psh]
* [k3d config](k3d_config.md)	 - Work with config file(s)
* [k3d image](k3d_image.md)	 - Handle container images.
* [k3d kubeconfig](k3d_kubeconfig.md)	 - Manage kubeconfig(s)
* [k3d node](k3d_node.md)	 - Manage node(s)
* [k3d registry](k3d_registry.md)	 - Manage registry/registries
* [k3d version](k3d_version.md)	 - Show k3d and default k3s version

